Package org.apache.storm.messaging.netty

# Class KerberosSaslClientHandler

java.lang.Object
org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
org.apache.storm.messaging.netty.KerberosSaslClientHandler

All Implemented Interfaces:
  `org.apache.storm.shade.io.netty.channel.ChannelHandler`, `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`

public class KerberosSaslClientHandler extends org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KerberosSaslClientHandler(ISaslClient client, Map<String,Object> topoConf, String jaasSection, String host)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `channelActive(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx)`
  `void`
  `channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object message)`
  `void`
  `channelRegistered(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx)`
  `void`
  `channelUnregistered(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx)`
  `void`
  `exceptionCaught(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

  `channelInactive, channelReadComplete, channelWritabilityChanged, userEventTriggered`

  ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

  `handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### KerberosSaslClientHandler

    public KerberosSaslClientHandler(ISaslClient client, Map<String,Object> topoConf, String jaasSection, String host) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### channelActive

    public void channelActive(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx)
    Specified by:
      `channelActive` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelActive` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`

  - ### channelRead

    public void channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object message) throws Exception
    Specified by:
      `channelRead` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelRead` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`

  - ### channelRegistered

    public void channelRegistered(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx) throws Exception
    Specified by:
      `channelRegistered` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelRegistered` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`

  - ### channelUnregistered

    public void channelUnregistered(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx) throws Exception
    Specified by:
      `channelUnregistered` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `channelUnregistered` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`

  - ### exceptionCaught

    public void exceptionCaught(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Throwable cause) throws Exception
    Specified by:
      `exceptionCaught` in interface `org.apache.storm.shade.io.netty.channel.ChannelHandler`
    Specified by:
      `exceptionCaught` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
    Overrides:
      `exceptionCaught` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`